PatternCacheFIFO2 (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.text.PatternCacheFIFO2 class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.text
Class PatternCacheFIFO2

    java.lang.Object
      org.apache.oro.text.GenericPatternCache
          org.apache.oro.text.PatternCacheFIFO2

All Implemented Interfaces:
  PatternCache

public final class PatternCacheFIFO2
extends GenericPatternCache

This class is a GenericPatternCache subclass implementing a second chance FIFO (First In First Out) cache replacement policy. In other words, patterns are added to the cache until the cache becomes full. Once the cache is full, when a new pattern is added to the cache, it replaces the first of the current patterns in the cache to have been added, unless that pattern has been used recently (generally between the last cache replacement and now). If the pattern to be replaced has been used, it is given a second chance, and the next pattern in the cache is tested for replacement in the same manner. If all the patterns are given a second chance, then the original pattern selected for replacement is replaced.

Since:
  1.0
Version:
  2.0.8
See Also:
  `GenericPatternCache`

Field Summary

Fields inherited from class org.apache.oro.text.GenericPatternCache
`DEFAULT_CAPACITY`

Constructor Summary
`PatternCacheFIFO2()` Same as:
`PatternCacheFIFO2(int capacity)` Same as:
`PatternCacheFIFO2(int capacity, PatternCompiler compiler)` Creates a PatternCacheFIFO2 instance with a given cache capacity, initialized to use a given PatternCompiler instance as a pattern compiler.
`PatternCacheFIFO2(PatternCompiler compiler)` Same as:

Methods inherited from class org.apache.oro.text.GenericPatternCache
`addPattern, addPattern, capacity, getPattern, getPattern, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternCacheFIFO2

    public PatternCacheFIFO2(int capacity,
                             PatternCompiler compiler)

  Creates a PatternCacheFIFO2 instance with a given cache capacity, initialized to use a given PatternCompiler instance as a pattern compiler.

Parameters:
  `capacity` - The capacity of the cache.
  `compiler` - The PatternCompiler to use to compile patterns.

### PatternCacheFIFO2

    public PatternCacheFIFO2(PatternCompiler compiler)

  Same as:

  >      PatternCacheFIFO2(GenericPatternCache.DEFAULT_CAPACITY, compiler);

### PatternCacheFIFO2

    public PatternCacheFIFO2(int capacity)

  Same as:

  >      PatternCacheFIFO2(capacity, new Perl5Compiler());

### PatternCacheFIFO2

    public PatternCacheFIFO2()

  Same as:

  >      PatternCacheFIFO2(GenericPatternCache.DEFAULT_CAPACITY);

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.